=== debian/changelog ===
minipro (0.7.1) jammy; urgency=medium

  * Debian Version Update
  * Added D2364C custom chip

 -- Federico Fuga <fuga@studiofuga.com>  Sat, 31 Aug 2024 10:44:48 +0200

minipro (0.4-1) unstable; urgency=medium

  * Updated to support TL866II+
  * Significant enhancements in usablity and functionality.

 -- David Griffith <dave@661.org>  Sun, 14 Jul 2019 01:15:14 -0700

minipro (0.1-1) unstable; urgency=low

  * Initial release

 -- minoru <minoru@unknown>  Tue, 25 Feb 2014 10:03:07 +0700
