=== debian/control ===
Source: minipro
Section: universe/electronics
Priority: extra
Maintainer: David Griffith <dave@661.org>
Build-Depends: debhelper (>= 8.0.0), libusb-1.0-0-dev, pkg-config, bash-completion, udev
Standards-Version: 3.9.4
Homepage: https://gitlab.com/DavidGriffith/minipro
Vcs-Git: git://gitlab.com/DavidGriffith/minipro
Vcs-Browser: https://gitlab.com/DavidGriffith/minipro

Package: minipro
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Software for Minipro TL866XX series of programmers from autoelectric.cn.
