=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR = debian/minipro
PREFIX = /usr

override_dh_auto_build:
	make \
	    PREFIX=$(PREFIX)

override_dh_auto_install:
	make install \
	    DESTDIR=$(DESTDIR) \
	    PREFIX=$(PREFIX)

# XXX Figure out how to handle 61-minipro-*.rules
override_dh_installudev:
	cp udev/60-minipro.rules debian/minipro.udev
	dh_installudev
	rm -f debian/minipro.udev

%:
	dh $@ --with bash-completion
